com.fasterxml.jackson.jaxrs.cfg

## Class ObjectReaderModifier

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.cfg.ObjectReaderModifier

    public abstract class ObjectReaderModifier
    extends Object

Since:
  2.3

### Constructor Summary

Constructors
Constructor and Description
`ObjectReaderModifier()`

### Method Summary

All Methods Instance Methods Abstract Methods

`abstract com.fasterxml.jackson.databind.ObjectReader`

`modify(EndpointConfigBase<?> endpoint, javax.ws.rs.core.MultivaluedMap<String,String> httpHeaders, com.fasterxml.jackson.databind.JavaType resultType, com.fasterxml.jackson.databind.ObjectReader r, com.fasterxml.jackson.core.JsonParser p)`
Method called to let modifier make any changes it wants to to objects used for reading request objects for specified endpoint.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectReaderModifier

    public ObjectReaderModifier()

### Method Detail

#### modify

    public abstract com.fasterxml.jackson.databind.ObjectReader modify(EndpointConfigBase<?> endpoint,
                                                                       javax.ws.rs.core.MultivaluedMap<String,String> httpHeaders,
                                                                       com.fasterxml.jackson.databind.JavaType resultType,
                                                                       com.fasterxml.jackson.databind.ObjectReader r,
                                                                       com.fasterxml.jackson.core.JsonParser p)
                                                                throws IOException

Method called to let modifier make any changes it wants to to objects used for reading request objects for specified endpoint.

Parameters:
  `endpoint` - End point for which reader is used
  `httpHeaders` - HTTP headers sent with request (read-only)
  `resultType` - Type that input is to be bound to
  `r` - ObjectReader as constructed for endpoint, type to handle
  `p` - Parser to use for reading content
Throws:
  `IOException`